Use a membership

Register one check-in on a membership card. Each check-in uses one of the card's remaining uses.

Endpoint

POST
/loyalty-actions with "action": "use_membership"

Request

Response

json

member is the full Loyalty Member object after the check-in (shortened above).

Body parameters

NameTypeRequiredDescription
organization_idNumberYesID of your organization
actionStringYesuse_membership
member_idNumberYesID of a membership card
noteStringNoDescription of the check-in (defaults to Check-in)

Errors

MessageCause
Only memberships have usesThe card belongs to a program that is not a membership
No uses left on this membershipThe balance is 0
This card is blockedThe card status is blocked
This card has expiredThe card expires_at has passed

Report an issue with this documentation

Please log in to report issues with our documentation.